commit e3612e8dcb1a43bc358248845aa4f16f4a2792c7
Author: Stephan Hartmann <stha09@googlemail.com>
Date:   Fri Jun 30 19:15:09 2023 +0200

    remoting: remove unused dependency on libevdev

    There is only one include, but nothing of libevdev is used. Instead
    linux/input.h (defines BTN_*).

diff --git a/remoting/host/BUILD.gn b/remoting/host/BUILD.gn
index 9e8dfee8b7d9e..5f46876222fd5 100644
--- a/remoting/host/BUILD.gn
+++ b/remoting/host/BUILD.gn
@@ -241,10 +241,6 @@ if (is_linux) {
   pkg_config("xkbcommon") {
     packages = [ "xkbcommon" ]
   }
-
-  pkg_config("libevdev") {
-    packages = [ "libevdev" ]
-  }
 }
 
 # This must be a static library instead of a source set because
@@ -576,7 +572,6 @@ static_library("common") {
       "x11_display_util.cc",
       "x11_display_util.h",
     ]
-    configs += [ ":libevdev" ]
     libs += [ "//third_party/libei/lib64/libei.a" ]
     public_deps += [
       "//third_party/wayland:wayland_client",
diff --git a/remoting/host/linux/remote_desktop_portal_injector.cc b/remoting/host/linux/remote_desktop_portal_injector.cc
index f6de2b406a97f..bb40aa00328d4 100644
--- a/remoting/host/linux/remote_desktop_portal_injector.cc
+++ b/remoting/host/linux/remote_desktop_portal_injector.cc
@@ -7,9 +7,9 @@
 #include <gio/gio.h>
 #include <gio/gunixfdlist.h>
 #include <glib-object.h>
+#include <linux/input.h>
 #include <poll.h>
 
-#include <libevdev/libevdev-uinput.h>
 #include <utility>
 
 #include "base/check.h"
